Last Comment Bug 735987 - [New Tab Page] Dropping blocked links onto the grid again should unblock them
: [New Tab Page] Dropping blocked links onto the grid again should unblock them
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: 13 Branch
: All All
: -- normal (vote)
: Firefox 14
Assigned To: Tim Taubert [:ttaubert]
:
Mentors:
Depends on: 767693
Blocks: 455553 729878
  Show dependency treegraph
 
Reported: 2012-03-14 23:18 PDT by Girish Sharma [:Optimizer]
Modified: 2016-01-14 10:25 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
patch v1 (3.10 KB, patch)
2012-03-15 01:46 PDT, Tim Taubert [:ttaubert]
dietrich: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Girish Sharma [:Optimizer] 2012-03-14 23:18:56 PDT
When you add a site manually to the New Tab Page, you cannot remove it by clicking on the cross button on upper right corner unless you unpin it.
And if you unpin it after clicking on the cross atleast once, then it automatically gets removed on unpinning.
Comment 1 Girish Sharma [:Optimizer] 2012-03-14 23:19:30 PDT
PS: This behavior is visible only after the New layout for NTP landed.
Comment 2 Siddhartha Dugar [:sdrocking] 2012-03-14 23:36:16 PDT
This happens randomly.
Comment 3 Girish Sharma [:Optimizer] 2012-03-14 23:37:43 PDT
The STR are very complex for this bug, 
1) All the other tabs should be pinned (either manually added or pinning the already existing thumbnails)
2) This only happens to the thumbnails added manually
3) This does not start happening untill all the tiles are filled and pinned.
4) But once the above condition is satisfied, this will happen untill you close the page, even if you remove the already existing sites.

Still there might be some other STR also. This is random at times.
Comment 4 Tim Taubert [:ttaubert] 2012-03-15 01:46:56 PDT
Created attachment 606141 [details] [diff] [review]
patch v1

Unblocks a link before pinning it on the grid when accepting an external drop.
Comment 5 Tim Taubert [:ttaubert] 2012-03-16 01:02:56 PDT
https://hg.mozilla.org/integration/fx-team/rev/34a7a331811f
Comment 6 Tim Taubert [:ttaubert] 2012-03-17 01:24:01 PDT
https://hg.mozilla.org/mozilla-central/rev/34a7a331811f
Comment 7 Tim Taubert [:ttaubert] 2012-03-17 01:25:50 PDT
Comment on attachment 606141 [details] [diff] [review]
patch v1

[Approval Request Comment]
Regression caused by (bug #): new newtab layout
User impact if declined: weird behavior, removing a site not working
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): small patch with test
String changes made by this patch: none
Comment 8 Alex Keybl [:akeybl] 2012-03-20 13:30:54 PDT
Comment on attachment 606141 [details] [diff] [review]
patch v1

[Triage Comment]
Low risk patch in support of correctness in a new feature. Approved for Aurora 13.
Comment 9 Tim Taubert [:ttaubert] 2012-03-21 10:43:07 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/4b7327c0fd00
Comment 10 Virgil Dicu [:virgil] [QA] 2012-04-24 09:05:27 PDT
Mozilla/5.0 (X11; Linux i686; rv:13.0) Gecko/20120424 Firefox/13.0a2

Verified on Mac OS 10.6, Ubuntu 11.10 and Windows 7.

1. Manually add a site to the new tab page.
2. Close the new tab page.
3. Open the new tab page.
4. remove the site added in step 1. 

The site can now be removed.

Note You need to log in before you can comment on or make changes to this bug.